Index: uspace/app/tester/mm/common.c
===================================================================
--- uspace/app/tester/mm/common.c	(revision 3061bc129a855122d429fbba1e623a521aaa164c)
+++ uspace/app/tester/mm/common.c	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
@@ -72,10 +72,10 @@
 {
 	link_t *link;
-	
+
 	while ((link = list_first(&mem_blocks)) != NULL) {
 		mem_block_t *block = list_get_instance(link, mem_block_t, link);
 		free_block(block);
 	}
-	
+
 	while ((link = list_first(&mem_areas)) != NULL) {
 		mem_area_t *area = list_get_instance(link, mem_area_t, link);
@@ -89,13 +89,13 @@
 	uint8_t *mbeg = (uint8_t *) block;
 	uint8_t *mend = (uint8_t *) block + sizeof(mem_block_t);
-	
+
 	/* Entry block memory <bbeg, bend) */
 	uint8_t *bbeg = (uint8_t *) block->addr;
 	uint8_t *bend = (uint8_t *) block->addr + block->size;
-	
+
 	/* Data block <dbeg, dend) */
 	uint8_t *dbeg = (uint8_t *) addr;
 	uint8_t *dend = (uint8_t *) addr + size;
-	
+
 	/* Check for overlaps */
 	if (((mbeg >= dbeg) && (mbeg < dend)) ||
@@ -104,5 +104,5 @@
 	    ((bend > dbeg) && (bend <= dend)))
 		return true;
-	
+
 	return false;
 }
@@ -122,5 +122,5 @@
 {
 	bool fnd = false;
-	
+
 	list_foreach(mem_blocks, link, mem_block_t, block) {
 		if (overlap_match(block, addr, size)) {
@@ -129,5 +129,5 @@
 		}
 	}
-	
+
 	return fnd;
 }
@@ -160,5 +160,5 @@
 {
 	void *data;
-	
+
 	/* Allocate the chunk of memory */
 	data = malloc(size);
@@ -166,5 +166,5 @@
 	if (data == NULL)
 		return NULL;
-	
+
 	/* Check for overlaps with other chunks */
 	if (test_overlap(data, size)) {
@@ -174,5 +174,5 @@
 		error_flag = true;
 	}
-	
+
 	return data;
 }
@@ -197,5 +197,5 @@
 	if (mem_allocated >= MAX_ALLOC)
 		return NULL;
-	
+
 	/* Allocate the block holder */
 	mem_block_t *block =
@@ -203,7 +203,7 @@
 	if (block == NULL)
 		return NULL;
-	
+
 	link_initialize(&block->link);
-	
+
 	/* Allocate the block memory */
 	block->addr = checked_malloc(size);
@@ -213,12 +213,12 @@
 		return NULL;
 	}
-	
+
 	block->size = size;
-	
+
 	/* Register the allocated block */
 	list_append(&block->link, &mem_blocks);
 	mem_allocated += size + sizeof(mem_block_t);
 	mem_blocks_count++;
-	
+
 	return block;
 }
@@ -238,5 +238,5 @@
 	mem_allocated -= block->size + sizeof(mem_block_t);
 	mem_blocks_count--;
-	
+
 	/* Free the memory */
 	free(block->addr);
@@ -272,5 +272,5 @@
 	    pos < end; pos++)
 		*pos = block_expected_value(block, pos);
-	
+
 	check_consistency("fill_block");
 }
@@ -308,8 +308,8 @@
 	if (mem_blocks_count == 0)
 		return NULL;
-	
+
 	unsigned long idx = rand() % mem_blocks_count;
 	link_t *entry = list_nth(&mem_blocks, idx);
-	
+
 	if (entry == NULL) {
 		TPRINTF("\nError: Corrupted list of allocated memory blocks.\n");
@@ -317,5 +317,5 @@
 		error_flag = true;
 	}
-	
+
 	return list_get_instance(entry, mem_block_t, link);
 }
@@ -337,7 +337,7 @@
 	if (area == NULL)
 		return NULL;
-	
+
 	link_initialize(&area->link);
-	
+
 	area->addr = as_area_create(AS_AREA_ANY, size,
 	    AS_AREA_WRITE | AS_AREA_READ | AS_AREA_CACHEABLE,
@@ -348,10 +348,10 @@
 		return NULL;
 	}
-	
+
 	area->size = size;
-	
+
 	/* Register the allocated area */
 	list_append(&area->link, &mem_areas);
-	
+
 	return area;
 }
@@ -369,10 +369,10 @@
 	/* Unregister the area */
 	list_remove(&area->link);
-	
+
 	/* Free the memory */
 	errno_t ret = as_area_destroy(area->addr);
 	if (ret != EOK)
 		error_flag = true;
-	
+
 	free(area);
 	check_consistency("unmap_area");
@@ -405,5 +405,5 @@
 	    pos < end; pos++)
 		*pos = area_expected_value(area, pos);
-	
+
 	check_consistency("fill_area");
 }
Index: uspace/app/tester/mm/common.h
===================================================================
--- uspace/app/tester/mm/common.h	(revision 3061bc129a855122d429fbba1e623a521aaa164c)
+++ uspace/app/tester/mm/common.h	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
@@ -48,8 +48,8 @@
 	/* Address of the start of the block */
 	void *addr;
-	
+
 	/* Size of the memory block */
 	size_t size;
-	
+
 	/* Link to other blocks */
 	link_t link;
@@ -59,5 +59,5 @@
 	/* Address of the start of the area */
 	void *addr;
-	
+
 	/* Size of the memory area */
 	size_t size;
Index: uspace/app/tester/mm/malloc1.c
===================================================================
--- uspace/app/tester/mm/malloc1.c	(revision 3061bc129a855122d429fbba1e623a521aaa164c)
+++ uspace/app/tester/mm/malloc1.c	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
@@ -208,5 +208,5 @@
 {
 	for (unsigned int cycles = 0; /* always */; cycles++) {
-		
+
 		if ((subphase->cond.max_cycles) &&
 		    (cycles >= subphase->cond.max_cycles)) {
@@ -217,5 +217,5 @@
 			break;
 		}
-		
+
 		/*
 		 * Decide whether we alloc or free memory in this step.
@@ -229,8 +229,8 @@
 			int alloc = phase->alloc.min_block_size +
 			    (rand() % (phase->alloc.max_block_size - phase->alloc.min_block_size + 1));
-			
+
 			mem_block_t *blk = alloc_block(alloc);
 			RETURN_IF_ERROR;
-			
+
 			if (blk == NULL) {
 				TPRINTF("F(A)");
@@ -244,5 +244,5 @@
 				RETURN_IF_ERROR;
 			}
-			
+
 		} else if (rnd < subphase->prob.free) {
 			mem_block_t *blk = get_random_block();
@@ -257,5 +257,5 @@
 				check_block(blk);
 				RETURN_IF_ERROR;
-				
+
 				free_block(blk);
 				RETURN_IF_ERROR;
@@ -263,5 +263,5 @@
 		}
 	}
-	
+
 	TPRINTF("\n..  finished.\n");
 }
@@ -271,5 +271,5 @@
 	for (unsigned int subno = 0; subno < 3; subno++) {
 		subphase_t *subphase = &phase->subphases[subno];
-		
+
 		TPRINTF(".. Sub-phase %u (%s)\n", subno + 1, subphase->name);
 		do_subphase(phase, subphase);
@@ -281,23 +281,23 @@
 {
 	init_mem();
-	
+
 	for (unsigned int phaseno = 0; phaseno < sizeof_array(phases);
 	    phaseno++) {
 		phase_t *phase = &phases[phaseno];
-		
+
 		TPRINTF("Entering phase %u (%s)\n", phaseno + 1, phase->name);
-		
+
 		do_phase(phase);
 		if (error_flag)
 			break;
-		
+
 		TPRINTF("Phase finished.\n");
 	}
-	
+
 	TPRINTF("Cleaning up.\n");
 	done_mem();
 	if (error_flag)
 		return "Test failed";
-	
+
 	return NULL;
 }
Index: uspace/app/tester/mm/malloc3.c
===================================================================
--- uspace/app/tester/mm/malloc3.c	(revision 3061bc129a855122d429fbba1e623a521aaa164c)
+++ uspace/app/tester/mm/malloc3.c	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
@@ -200,5 +200,5 @@
 {
 	for (unsigned int cycles = 0; /* always */; cycles++) {
-		
+
 		if ((subphase->cond.max_cycles) &&
 		    (cycles >= subphase->cond.max_cycles)) {
@@ -209,5 +209,5 @@
 			break;
 		}
-		
+
 		/*
 		 * Decide whether we alloc or free memory in this step.
@@ -221,8 +221,8 @@
 			int alloc = phase->alloc.min_block_size +
 			    (rand() % (phase->alloc.max_block_size - phase->alloc.min_block_size + 1));
-			
+
 			mem_block_t *blk = alloc_block(alloc);
 			RETURN_IF_ERROR;
-			
+
 			if (blk == NULL) {
 				TPRINTF("F(A)");
@@ -235,9 +235,9 @@
 				fill_block(blk);
 				RETURN_IF_ERROR;
-				
+
 				if ((mem_blocks_count % AREA_GRANULARITY) == 0) {
 					mem_area_t *area = map_area(AREA_SIZE);
 					RETURN_IF_ERROR;
-					
+
 					if (area != NULL) {
 						TPRINTF("*");
@@ -248,5 +248,5 @@
 				}
 			}
-			
+
 		} else if (rnd < subphase->prob.free) {
 			mem_block_t *blk = get_random_block();
@@ -261,5 +261,5 @@
 				check_block(blk);
 				RETURN_IF_ERROR;
-				
+
 				free_block(blk);
 				RETURN_IF_ERROR;
@@ -267,5 +267,5 @@
 		}
 	}
-	
+
 	TPRINTF("\n..  finished.\n");
 }
@@ -275,5 +275,5 @@
 	for (unsigned int subno = 0; subno < 3; subno++) {
 		subphase_t *subphase = &phase->subphases[subno];
-		
+
 		TPRINTF(".. Sub-phase %u (%s)\n", subno + 1, subphase->name);
 		do_subphase(phase, subphase);
@@ -285,23 +285,23 @@
 {
 	init_mem();
-	
+
 	for (unsigned int phaseno = 0; phaseno < sizeof_array(phases);
 	    phaseno++) {
 		phase_t *phase = &phases[phaseno];
-		
+
 		TPRINTF("Entering phase %u (%s)\n", phaseno + 1, phase->name);
-		
+
 		do_phase(phase);
 		if (error_flag)
 			break;
-		
+
 		TPRINTF("Phase finished.\n");
 	}
-	
+
 	TPRINTF("Cleaning up.\n");
 	done_mem();
 	if (error_flag)
 		return "Test failed";
-	
+
 	return NULL;
 }
Index: uspace/app/tester/mm/mapping1.c
===================================================================
--- uspace/app/tester/mm/mapping1.c	(revision 3061bc129a855122d429fbba1e623a521aaa164c)
+++ uspace/app/tester/mm/mapping1.c	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
@@ -41,10 +41,10 @@
 {
 	TPRINTF("Creating AS area...\n");
-	
+
 	void *result = as_area_create(AS_AREA_ANY, size,
 	    AS_AREA_READ | AS_AREA_WRITE | AS_AREA_CACHEABLE, AS_AREA_UNPAGED);
 	if (result == AS_MAP_FAILED)
 		return NULL;
-	
+
 	return result;
 }
@@ -53,7 +53,7 @@
 {
 	TPRINTF("Touching (faulting-in) AS area...\n");
-	
+
 	char *ptr = (char *)area;
-	
+
 	while (size > 0) {
 		*ptr = 0;
@@ -86,5 +86,5 @@
 {
 	errno_t rc;
-	
+
 	size_t buffer1_len = BUFFER1_PAGES * PAGE_SIZE;
 	size_t buffer2_len = BUFFER2_PAGES * PAGE_SIZE;
@@ -94,8 +94,8 @@
 		return "Cannot allocate memory";
 	}
-	
+
 	touch_area(buffer1, buffer1_len);
 	touch_area(buffer2, buffer2_len);
-	
+
 	/* Now verify that mapping to physical frames exist. */
 	if (!VERIFY_MAPPING(buffer1, BUFFER1_PAGES, EOK)) {
@@ -105,5 +105,5 @@
 		return "Failed to find mapping (buffer2)";
 	}
-	
+
 	/* Let's destroy the buffer1 area and access it again. */
 	rc = as_area_destroy(buffer1);
@@ -114,5 +114,5 @@
 		return "Mapping of destroyed area still exists";
 	}
-	
+
 	/* clean-up */
 	rc = as_area_destroy(buffer2);
@@ -120,5 +120,5 @@
 		return "Failed to destroy AS area";
 	}
-	
+
 	return NULL;
 }
Index: uspace/app/tester/mm/pager1.c
===================================================================
--- uspace/app/tester/mm/pager1.c	(revision 3061bc129a855122d429fbba1e623a521aaa164c)
+++ uspace/app/tester/mm/pager1.c	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
@@ -71,7 +71,7 @@
 		return NULL;
 	}
-	
+
 	TPRINTF("Creating AS area...\n");
-	
+
 	void *result = async_as_area_create(AS_AREA_ANY, size,
 	    AS_AREA_READ | AS_AREA_CACHEABLE, vfs_pager_sess, fd, 0, 0);
@@ -80,5 +80,5 @@
 		return NULL;
 	}
-	
+
 	return result;
 }
@@ -87,7 +87,7 @@
 {
 	TPRINTF("Touching (faulting-in) AS area...\n");
-	
+
 	volatile char *ptr = (char *) area;
-	
+
 	char ch;
 	while ((ch = *ptr++))
@@ -101,10 +101,10 @@
 	if (!buffer)
 		return "Cannot allocate memory";
-	
+
 	touch_area(buffer, buffer_len);
 
 	as_area_destroy(buffer);
 	vfs_put(fd);
-	
+
 	return NULL;
 }
